import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { text, number, date, select } from '@storybook/addon-knobs';

import { TEMPERATURE_UNITS, WEATHER_ICONS } from 'domain/weather/constants';

import DayForecastCard, { DayForecastCardBase } from './DayForecastCard';

<Meta title="Domain/Forecast/DayForecastCard" component={DayForecastCard} />

# Welcome

<ArgsTable of={DayForecastCardBase} />

<Canvas>
<Story name="example">
  <DayForecastCard
    date={date('date', new Date())}
    temperatureMin={number('temperatureMin', 11)}
    temperatureMax={number('temperatureMax', 16)}
    temperatureUnit={select('temperatureUnit', Object.values(TEMPERATURE_UNITS), TEMPERATURE_UNITS.CELSIUS)}
    weather={select('weather', Object.values(WEATHER_ICONS), WEATHER_ICONS.CLEAR)}
  />
</Story>
</Canvas>
